Bug 231777 - net/librdkafka: fix build with powerpc64
Summary: net/librdkafka: fix build with powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-28 12:08 UTC by Piotr Kubaj
Modified: 2018-10-02 19:48 UTC (History)
2 users (show)

See Also:
pizzamig: maintainer-feedback+


Attachments
patch (576 bytes, patch)
2018-09-28 12:08 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-28 12:08:47 UTC
Created attachment 197564 [details]
patch

powerpc64 needs USES=compiler:c11 to build this port.

Tested on amd64 and powerpc64.

Hardware sponsored by IntegriCloud.
Comment 1 Luca Pizzamiglio freebsd_committer 2018-09-28 14:58:15 UTC
good to me.
Feel f
Comment 2 commit-hook freebsd_committer 2018-10-01 13:23:14 UTC
A commit references this bug:

Author: pizzamig
Date: Mon Oct  1 13:22:59 UTC 2018
New revision: 481029
URL: https://svnweb.freebsd.org/changeset/ports/481029

Log:
  net/librdkafka: fix build with powerpc64

  PR:		231777
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  MFH:		2018Q4
  Sponsored by:	IntegriCloud

Changes:
  head/net/librdkafka/Makefile
Comment 3 Luca Pizzamiglio freebsd_committer 2018-10-01 13:24:43 UTC
Committed! Thanks a lot!
Comment 4 commit-hook freebsd_committer 2018-10-02 19:48:26 UTC
A commit references this bug:

Author: pizzamig
Date: Tue Oct  2 19:47:26 UTC 2018
New revision: 481131
URL: https://svnweb.freebsd.org/changeset/ports/481131

Log:
  MFH: r481029

  net/librdkafka: fix build with powerpc64

  PR:		231777
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Sponsored by:	IntegriCloud

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net/librdkafka/Makefile